# piazzaoptical.com

Code for what once was piazzaoptical.com. Backend and frontend.

## To use:

```bash
podman run -it --rm -p 8000:8000 docker.io/library/alpine:3.14  # v3.15 can't seem to work with package "bsd-compat-headers"
```

Then within the container:

```bash
apk add --no-cache build-base bsd-compat-headers m4 openssl-dev libmagic libuuid lmdb lmdb-dev git readline-dev autoconf automake libtool zlib-dev vips ncurses wget unzip openssl bash
git config --global url."https://".insteadOf git:// # for luarocks pulling from github; it uses unencrypted
git clone https://git.sakal.us/brian/luaver.git ~/.luaver
bash
```

Then in `bash` shell (not the default `ash`):

```bash
luarocks install compat53
luarocks install cqueues 
luarocks install lpeg 
luarocks install lpeg_patterns 
luarocks install luafilesystem 
luarocks install http 
luarocks install lua-cjson 
luarocks install mimetypes 
luarocks install lrandom 
luarocks install luaprompt
luarocks install magic 
luarocks install lightningmdb 
luarocks install lua_uuid
luarocks install lua-vips
```

Finally:

```bash
git clone https://git.sakal.us/brian/piazzaoptical.com
cd piazzaoptical.com
git submodule update --init --recursive  # for bitser; installed as git submodule
```